Skip to main content
GET
/
events
/
event-occurrences
/
2026-03
Retrieve event occurrences
curl --request GET \
  --url https://api.hubapi.com/events/event-occurrences/2026-03 \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "eventType": "<string>",
      "id": "<string>",
      "objectId": "<string>",
      "objectType": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "properties": {}
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

A cursor token for pagination. Use the value from the previous response's paging.next.after field.

before
string

A cursor token to retrieve results before a specific point.

eventType
string

The type of event to filter by.

id
string[]

An array of event IDs to filter by.

limit
integer<int32>

The maximum number of results to display per page.

objectId
integer<int64>

The unique identifier of the object associated with the events.

objectProperty.{propname}
object

Filter events by specific object properties.

objectType
string

The type of object associated with the events.

occurredAfter
string<date-time>

Filter events that occurred after this date-time.

occurredBefore
string<date-time>

Filter events that occurred before this date-time.

properties
string[]

An array of property names to include in the response.

property.{propname}
object

Filter events by specific event properties.

sort
string[]

An array of fields to sort the results by.

Response

successful operation

results
object[]
required

An array of ExternalUnifiedEvent objects, each representing an individual event occurrence.

paging
object
Last modified on March 30, 2026